Module javafx.controls
Package javafx.scene.control

# Class TreeTableView.EditEvent<S>

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.control.TreeTableView.EditEvent<S>

Type Parameters:
  `S` - The type of the input, which is the same type as the TreeTableView itself.

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Enclosing class:
  `TreeTableView<S>`

public static class TreeTableView.EditEvent<S> extends Event
An `Event` subclass used specifically in TreeTableView for representing edit-related events. It provides additional API to easily access the TreeItem that the edit event took place on, as well as the input provided by the end user.

Since:
  JavaFX 8.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<?>`
`ANY`
Common supertype for all edit event types.

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

## Constructor Summary

Constructors
Constructor
Description
`EditEvent(TreeTableView<S> source, EventType<? extends TreeTableView.EditEvent> eventType, TreeItem<S> treeItem, S oldValue, S newValue)`
Creates a new EditEvent instance to represent an edit event.

## Method Summary

Modifier and Type
Method
Description
`S`
`getNewValue()`
Returns the new value input into the TreeItem by the end user.
`S`
`getOldValue()`
Returns the old value that existed in the TreeItem prior to the current edit event.
`TreeTableView<S>`
`getSource()`
Returns the TreeTableView upon which the edit took place.
`TreeItem<S>`
`getTreeItem()`
Returns the `TreeItem` upon which the edit took place.

### Methods inherited from class javafx.event.Event

`clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ANY

public static final EventType<?> ANY
Common supertype for all edit event types.

## Constructor Details

### EditEvent

public EditEvent(TreeTableView<S> source, EventType<? extends TreeTableView.EditEvent> eventType, TreeItem<S> treeItem, S oldValue, S newValue)
Creates a new EditEvent instance to represent an edit event. This event is used for `TreeTableView.editStartEvent()`, `TreeTableView.editCommitEvent()` and `TreeTableView.editCancelEvent()` types.

Parameters:
  `source` - the source
  `eventType` - the eventType
  `treeItem` - the treeItem
  `oldValue` - the oldValue
  `newValue` - the newValue

## Method Details

### getSource

public TreeTableView<S> getSource()
Returns the TreeTableView upon which the edit took place.

Overrides:
  `getSource` in class `EventObject`
Returns:
  the TreeTableView upon which the edit took place

### getTreeItem

public TreeItem<S> getTreeItem()
Returns the `TreeItem` upon which the edit took place.

Returns:
  the `TreeItem` upon which the edit took place

### getNewValue

public S getNewValue()
Returns the new value input into the TreeItem by the end user.

Returns:
  the new value input into the TreeItem by the end user

### getOldValue

public S getOldValue()
Returns the old value that existed in the TreeItem prior to the current edit event.

Returns:
  the old value that existed in the TreeItem prior to the current edit event